﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using XamTileDemo;
using Infragistics.Controls.Layouts;
using Infragistics.Controls.Layouts.Primitives;
using System.Collections.ObjectModel;

namespace XamTileManagerDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        static int productId = 100;

        private void Button_Click(object sender, RoutedEventArgs e)
        {

            for (int i = 0; i < 2; i++)
            {
                Product p = new Product();
                p.CategoryID = 6;
                p.ProductID = productId++;
                p.ProductName = "Meat " + p.ProductID.ToString();
                p.UnitPrice = 13.0000m;
                Category cat = DataUtil.CategoriesAndProducts[5];
                cat.Products.Add(p);
            }

            TileAreaPanel tilesPanel = Infragistics.Windows.Utilities.GetDescendantFromType<TileAreaPanel>(this.xamTilesControl1, true, null);
            tilesPanel.InvalidateMeasure();

            //this.xamTilesControl1.ItemsSource = DataUtil.CategoriesAndProducts;
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            ObservableCollection<Category> categories = DataUtil.CategoriesAndProducts;

            int row = 0;
            foreach (Category category in categories)
            {
                XamTile tile = new XamTile();
                //tile.Row = row++;
                //Tile.Row property is an attached property now:
                tile.SetValue(XamTileManager.RowProperty, row++); 
                tile.Content = category;
                tile.ContentTemplate = this.xamTilesControl1.ItemTemplate;
                tile.Header = category.CategoryName;
                this.xamTilesControl1.Items.Add(tile);
            }
        }
    }
}
